import { LegendBase } from "./LegendBase";
import { LegendOrientation } from "./LegendOrientation";
import { LegendBaseView } from "./LegendBaseView";
import { Type } from "igniteui-react-core/ES2015/type";
import { ILegendSeries } from "igniteui-react-core/ES2015/ILegendSeries";
import { UIElement } from "igniteui-react-core/ES2015/UIElement";
export declare class Legend extends LegendBase {
    aj(): LegendBaseView;
    a5(a: LegendBaseView): void;
    ba: LegendView;
    constructor();
    private bb(a);
    private bd(a);
    addChildInOrder(a: UIElement, b: ILegendSeries): void;
    a9: LegendOrientation;
    private bc(a);
    bf: string;
    bg: string;
    static $t: Type;
}
export declare class LegendView extends LegendBaseView {
    constructor(a: Legend);
    protected ah: Legend;
    ad(): void;
    static $t: Type;
}
